<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

/**
 * Migration auto-generated by Sequel Pro Laravel Export
 * @see https://github.com/cviebrock/sequel-pro-laravel-export
 */
class CreateCategoryTranslationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('category_translations', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('category_id')->unique();
            $table->string('locale', 255);
            $table->string('title', 255)->nullable();
            $table->string('slug', 255)->nullable();
            $table->text('description')->nullable();
            $table->string('seo_title', 255)->nullable();
            $table->string('seo_description', 255)->nullable();
            $table->string('seo_keywords', 255)->nullable();
            $table->integer('created_by')->nullable();
            $table->integer('updated_by')->nullable();
            $table->timestamps();

            //$table->unique('category_id');
            //$table->index(['account_id', 'created_at']);

            //$table->index('locale', 'categories_translations_locale_index');
            //$table->foreign('category_id', 'category_translations_category_id_foreign')->references('id')->on('categoriesFcatego')->onDelete('CASCADE')->onUpdate('RESTRICT');

            //$table->foreign('category_id')->references('id')->on('categoriesFcatego')->onDelete('cascade')->onUpdate('restrict');
        });

        // Schema::table('category_translations', function($table) {
        //        $table->foreign('category_id')->references('id')->on('categoriesFcatego');
        // });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('category_translations');
    }
}
